com.atid.lib.module.barcode.ssi.param

## Enum SSI2DParamName

- java.lang.Object
- - java.lang.Enum<SSI2DParamName>
  - - com.atid.lib.module.barcode.ssi.param.SSI2DParamName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SSI2DParamName>

      public enum SSI2DParamName
      extends java.lang.Enum<SSI2DParamName>

  SSI 2D barcode module parameters.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Australia_Post_Format`
    `Aztec_Inverse`
    `Bookland_ISBN_Format`
    `Check_ISBT_Table`
    `CLSI_Editing`
    `Codabar_Upper_Lower_Start_Stop_Characters_Dectection`
    `Code11_Check_Digit_Verification`
    `Code128_Emulation`
    `Code128_Reduced_Quiet_Zone`
    `Code32_Prefix`
    `Code39_Buffering_Scan_Store`
    `Code39_Check_Digit_Verification`
    `Code39_Full_Ascii_Conversion`
    `Code39_Reduced_Quiet_Zone`
    `Composite_Beep_Mode`
    `Convert_GS1_DataBar_to_UPC_EAN`
    `Convert_I2of5_to_EAN_13`
    `Convert_UPC_E_to_UPC_A`
    `Convert_UPC_E1_to_UPC_A`
    `Coupon_Report`
    `Data_Matrix_Inverse`
    `Decode_Mirror_Images`
    `Decode_UPC_EAN_JAN_Supplemental_AIM_ID`
    `Decode_UPC_EAN_JAN_Supplemental_Redundancy`
    `Decode_UPC_EAN_JAN_Supplementals`
    `EAN_8_JAN_8_Extend`
    `GS1_128_Emulation_Mode_for_UCC_EAN_Composite_Codes`
    `GS1_DataBar_Limited_Security_Level`
    `HanXin_Inverse`
    `I2of5_Check_Digit_Verification`
    `I2of5_Reduced_Quiet_Zone`
    `Ignore_Code128_FNC4`
    `Intercharacter_Gap_Size`
    `Inverse_1D`
    `ISBT_Concatenation`
    `ISBT_Concatenation_Redundancy`
    `Matrix2of5_Check_Digit`
    `MSI_Check_Digit_Algorithm`
    `MSI_Check_Digits`
    `NOTIS_Editing`
    `QR_Inverse`
    `Quiet_Zone_Level_1D`
    `Redundancy_Level`
    `Security_Level`
    `Set_Lenght_2_Code93`
    `Set_Length_1_Codabar`
    `Set_Length_1_Code11`
    `Set_Length_1_Code128`
    `Set_Length_1_Code39`
    `Set_Length_1_Code93`
    `Set_Length_1_D2of5`
    `Set_Length_1_I2of5`
    `Set_Length_1_Matrix2of5`
    `Set_Length_1_MSI`
    `Set_Length_2_Codabar`
    `Set_Length_2_Code11`
    `Set_Length_2_Code128`
    `Set_Length_2_Code39`
    `Set_Length_2_D2of5`
    `Set_Length_2_I2of5`
    `Set_Length_2_Matrix2of5`
    `Set_Length_2_MSI`
    `Transmit_Code_11_Check_Digits`
    `Transmit_Code39_Check_Digit`
    `Transmit_I2of5_Check_Digit`
    `Transmit_Matrix2of5_Check_Digit`
    `Transmit_MSI_Check_Digits`
    `Transmit_UK_Postal_Check_Digit`
    `Transmit_UPC_A_Check_Digit`
    `Transmit_UPC_E_Check_Digit`
    `Transmit_UPC_E1_Check_Digit`
    `Transmit_US_Postal_Check_Digit`
    `UPC_A_Preamble`
    `UPC_Composite_Mode`
    `UPC_E_Preamble`
    `UPC_E1_Preamble`
    `UPC_Reduced_Quiet_Zone`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCommand()`
    `java.lang.String` | `toString()`
    `static SSI2DParamName` | `valueOf(byte[] data, int offset)`
    `static SSI2DParamName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SSI2DParamName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Bookland_ISBN_Format

          public static final SSI2DParamName Bookland_ISBN_Format

    - #### Decode_UPC_EAN_JAN_Supplementals

          public static final SSI2DParamName Decode_UPC_EAN_JAN_Supplementals

    - #### Decode_UPC_EAN_JAN_Supplemental_Redundancy

          public static final SSI2DParamName Decode_UPC_EAN_JAN_Supplemental_Redundancy

    - #### Decode_UPC_EAN_JAN_Supplemental_AIM_ID

          public static final SSI2DParamName Decode_UPC_EAN_JAN_Supplemental_AIM_ID

    - #### UPC_Reduced_Quiet_Zone

          public static final SSI2DParamName UPC_Reduced_Quiet_Zone

    - #### Transmit_UPC_A_Check_Digit

          public static final SSI2DParamName Transmit_UPC_A_Check_Digit

    - #### Transmit_UPC_E_Check_Digit

          public static final SSI2DParamName Transmit_UPC_E_Check_Digit

    - #### Transmit_UPC_E1_Check_Digit

          public static final SSI2DParamName Transmit_UPC_E1_Check_Digit

    - #### UPC_A_Preamble

          public static final SSI2DParamName UPC_A_Preamble

    - #### UPC_E_Preamble

          public static final SSI2DParamName UPC_E_Preamble

    - #### UPC_E1_Preamble

          public static final SSI2DParamName UPC_E1_Preamble

    - #### Convert_UPC_E_to_UPC_A

          public static final SSI2DParamName Convert_UPC_E_to_UPC_A

    - #### Convert_UPC_E1_to_UPC_A

          public static final SSI2DParamName Convert_UPC_E1_to_UPC_A

    - #### EAN_8_JAN_8_Extend

          public static final SSI2DParamName EAN_8_JAN_8_Extend

    - #### Coupon_Report

          public static final SSI2DParamName Coupon_Report

    - #### Set_Length_1_Code128

          public static final SSI2DParamName Set_Length_1_Code128

    - #### Set_Length_2_Code128

          public static final SSI2DParamName Set_Length_2_Code128

    - #### ISBT_Concatenation

          public static final SSI2DParamName ISBT_Concatenation

    - #### Check_ISBT_Table

          public static final SSI2DParamName Check_ISBT_Table

    - #### ISBT_Concatenation_Redundancy

          public static final SSI2DParamName ISBT_Concatenation_Redundancy

    - #### Code128_Reduced_Quiet_Zone

          public static final SSI2DParamName Code128_Reduced_Quiet_Zone

    - #### Ignore_Code128_FNC4

          public static final SSI2DParamName Ignore_Code128_FNC4

    - #### Code32_Prefix

          public static final SSI2DParamName Code32_Prefix

    - #### Set_Length_1_Code39

          public static final SSI2DParamName Set_Length_1_Code39

    - #### Set_Length_2_Code39

          public static final SSI2DParamName Set_Length_2_Code39

    - #### Code39_Check_Digit_Verification

          public static final SSI2DParamName Code39_Check_Digit_Verification

    - #### Transmit_Code39_Check_Digit

          public static final SSI2DParamName Transmit_Code39_Check_Digit

    - #### Code39_Full_Ascii_Conversion

          public static final SSI2DParamName Code39_Full_Ascii_Conversion

    - #### Code39_Buffering_Scan_Store

          public static final SSI2DParamName Code39_Buffering_Scan_Store

    - #### Code39_Reduced_Quiet_Zone

          public static final SSI2DParamName Code39_Reduced_Quiet_Zone

    - #### Set_Length_1_Code93

          public static final SSI2DParamName Set_Length_1_Code93

    - #### Set_Lenght_2_Code93

          public static final SSI2DParamName Set_Lenght_2_Code93

    - #### Set_Length_1_Code11

          public static final SSI2DParamName Set_Length_1_Code11

    - #### Set_Length_2_Code11

          public static final SSI2DParamName Set_Length_2_Code11

    - #### Code11_Check_Digit_Verification

          public static final SSI2DParamName Code11_Check_Digit_Verification

    - #### Transmit_Code_11_Check_Digits

          public static final SSI2DParamName Transmit_Code_11_Check_Digits

    - #### Set_Length_1_I2of5

          public static final SSI2DParamName Set_Length_1_I2of5

    - #### Set_Length_2_I2of5

          public static final SSI2DParamName Set_Length_2_I2of5

    - #### I2of5_Check_Digit_Verification

          public static final SSI2DParamName I2of5_Check_Digit_Verification

    - #### Transmit_I2of5_Check_Digit

          public static final SSI2DParamName Transmit_I2of5_Check_Digit

    - #### Convert_I2of5_to_EAN_13

          public static final SSI2DParamName Convert_I2of5_to_EAN_13

    - #### I2of5_Reduced_Quiet_Zone

          public static final SSI2DParamName I2of5_Reduced_Quiet_Zone

    - #### Set_Length_1_D2of5

          public static final SSI2DParamName Set_Length_1_D2of5

    - #### Set_Length_2_D2of5

          public static final SSI2DParamName Set_Length_2_D2of5

    - #### Set_Length_1_Codabar

          public static final SSI2DParamName Set_Length_1_Codabar

    - #### Set_Length_2_Codabar

          public static final SSI2DParamName Set_Length_2_Codabar

    - #### CLSI_Editing

          public static final SSI2DParamName CLSI_Editing

    - #### NOTIS_Editing

          public static final SSI2DParamName NOTIS_Editing

    - #### Codabar_Upper_Lower_Start_Stop_Characters_Dectection

          public static final SSI2DParamName Codabar_Upper_Lower_Start_Stop_Characters_Dectection

    - #### Set_Length_1_MSI

          public static final SSI2DParamName Set_Length_1_MSI

    - #### Set_Length_2_MSI

          public static final SSI2DParamName Set_Length_2_MSI

    - #### MSI_Check_Digits

          public static final SSI2DParamName MSI_Check_Digits

    - #### Transmit_MSI_Check_Digits

          public static final SSI2DParamName Transmit_MSI_Check_Digits

    - #### MSI_Check_Digit_Algorithm

          public static final SSI2DParamName MSI_Check_Digit_Algorithm

    - #### Set_Length_1_Matrix2of5

          public static final SSI2DParamName Set_Length_1_Matrix2of5

    - #### Set_Length_2_Matrix2of5

          public static final SSI2DParamName Set_Length_2_Matrix2of5

    - #### Matrix2of5_Check_Digit

          public static final SSI2DParamName Matrix2of5_Check_Digit

    - #### Transmit_Matrix2of5_Check_Digit

          public static final SSI2DParamName Transmit_Matrix2of5_Check_Digit

    - #### Inverse_1D

          public static final SSI2DParamName Inverse_1D

    - #### Transmit_US_Postal_Check_Digit

          public static final SSI2DParamName Transmit_US_Postal_Check_Digit

    - #### Transmit_UK_Postal_Check_Digit

          public static final SSI2DParamName Transmit_UK_Postal_Check_Digit

    - #### Australia_Post_Format

          public static final SSI2DParamName Australia_Post_Format

    - #### GS1_DataBar_Limited_Security_Level

          public static final SSI2DParamName GS1_DataBar_Limited_Security_Level

    - #### Convert_GS1_DataBar_to_UPC_EAN

          public static final SSI2DParamName Convert_GS1_DataBar_to_UPC_EAN

    - #### UPC_Composite_Mode

          public static final SSI2DParamName UPC_Composite_Mode

    - #### Composite_Beep_Mode

          public static final SSI2DParamName Composite_Beep_Mode

    - #### GS1_128_Emulation_Mode_for_UCC_EAN_Composite_Codes

          public static final SSI2DParamName GS1_128_Emulation_Mode_for_UCC_EAN_Composite_Codes

    - #### Code128_Emulation

          public static final SSI2DParamName Code128_Emulation

    - #### Data_Matrix_Inverse

          public static final SSI2DParamName Data_Matrix_Inverse

    - #### Decode_Mirror_Images

          public static final SSI2DParamName Decode_Mirror_Images

    - #### QR_Inverse

          public static final SSI2DParamName QR_Inverse

    - #### Aztec_Inverse

          public static final SSI2DParamName Aztec_Inverse

    - #### HanXin_Inverse

          public static final SSI2DParamName HanXin_Inverse

    - #### Redundancy_Level

          public static final SSI2DParamName Redundancy_Level

    - #### Security_Level

          public static final SSI2DParamName Security_Level

    - #### Quiet_Zone_Level_1D

          public static final SSI2DParamName Quiet_Zone_Level_1D

    - #### Intercharacter_Gap_Size

          public static final SSI2DParamName Intercharacter_Gap_Size

  - ### Method Detail

    - #### values

          public static SSI2DParamName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSI2DParamName c : SSI2DParamName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSI2DParamName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SSI2DParamName>`

    - #### getCommand

          public byte[] getCommand()

    - #### valueOf

          public static SSI2DParamName valueOf(byte[] data,
                                               int offset)
                                        throws ATException

      Throws:
        `ATException`